#Compressed Blocks configuration
#Changes require a game restart to take effect.
#WARNING: These settings are loaded on startup and not synced with the server.
#Ensure identical configuration on both client and server to prevent connection issues.
#Any changes will log warnings for invalid or missing files.
#----------------------------------------
#Enable compressed blocks
blocksEnabled = true
#Enable crates
cratesEnabled = true
#Maximum compression level for blocks
# Default: 10
# Range: 1 ~ 10
maxCompressionLevel = 10
#Maximum compression level for crates
# Default: 10
# Range: 1 ~ 10
maxCrateCompressionLevel = 10
#Enabled blocks:
DIRT = true
GRAVEL = true
COBBLESTONE = true
#Note: Stone can not be disabled as it is required for the creative inventory icon.
STONE = true
GRANITE = true
DIORITE = true
ANDESITE = true
CRIMSON_NYLIUM = true
WARPED_NYLIUM = true
CLAY = true
SAND = true
RED_SAND = true
SANDSTONE = true
RED_SANDSTONE = true
COAL_ORE = true
COPPER_ORE = true
IRON_ORE = true
GOLD_ORE = true
REDSTONE_ORE = true
EMERALD_ORE = true
LAPIS_ORE = true
DIAMOND_ORE = true
NETHER_GOLD_ORE = true
NETHER_QUARTZ_ORE = true
DEEPSLATE_COAL_ORE = true
DEEPSLATE_COPPER_ORE = true
DEEPSLATE_IRON_ORE = true
DEEPSLATE_GOLD_ORE = true
DEEPSLATE_REDSTONE_ORE = true
DEEPSLATE_EMERALD_ORE = true
DEEPSLATE_LAPIS_ORE = true
DEEPSLATE_DIAMOND_ORE = true
RAW_IRON_BLOCK = true
RAW_COPPER_BLOCK = true
RAW_GOLD_BLOCK = true
IRON_BLOCK = true
GOLD_BLOCK = true
REDSTONE_BLOCK = true
EMERALD_BLOCK = true
LAPIS_BLOCK = true
DIAMOND_BLOCK = true
NETHERITE_BLOCK = true
COAL_BLOCK = true
SLIME_BLOCK = true
HONEY_BLOCK = true
BRICKS = true
STONE_BRICKS = true
NETHERRACK = true
NETHER_BRICKS = true
RED_NETHER_BRICKS = true
NETHER_WART_BLOCK = true
SOUL_SAND = true
SOUL_SOIL = true
END_STONE = true
END_STONE_BRICKS = true
BLACKSTONE = true
DEEPSLATE = true
COBBLED_DEEPSLATE = true
TUFF = true
BASALT = true
OBSIDIAN = true
MUD = true
OAK_LOG = true
SPRUCE_LOG = true
BIRCH_LOG = true
JUNGLE_LOG = true
ACACIA_LOG = true
DARK_OAK_LOG = true
MANGROVE_LOG = true
CHERRY_LOG = true
STRIPPED_OAK_LOG = true
STRIPPED_SPRUCE_LOG = true
STRIPPED_BIRCH_LOG = true
STRIPPED_JUNGLE_LOG = true
STRIPPED_ACACIA_LOG = true
STRIPPED_DARK_OAK_LOG = true
STRIPPED_MANGROVE_LOG = true
STRIPPED_CHERRY_LOG = true
OAK_PLANKS = true
SPRUCE_PLANKS = true
BIRCH_PLANKS = true
JUNGLE_PLANKS = true
ACACIA_PLANKS = true
DARK_OAK_PLANKS = true
MANGROVE_PLANKS = true
CHERRY_PLANKS = true
BAMBOO_PLANKS = true
BAMBOO_MOSAIC = true
COPPER_BLOCK = true
CUT_COPPER = true
EXPOSED_COPPER = true
EXPOSED_CUT_COPPER = true
WEATHERED_COPPER = true
WEATHERED_CUT_COPPER = true
OXIDIZED_COPPER = true
OXIDIZED_CUT_COPPER = true
WAXED_COPPER_BLOCK = true
WAXED_CUT_COPPER = true
WAXED_EXPOSED_COPPER = true
WAXED_EXPOSED_CUT_COPPER = true
WAXED_WEATHERED_COPPER = true
WAXED_WEATHERED_CUT_COPPER = true
WAXED_OXIDIZED_COPPER = true
WAXED_OXIDIZED_CUT_COPPER = true
BONE_BLOCK = true
SCULK = true
SMOOTH_SANDSTONE = true
CUT_SANDSTONE = true
CHISELED_SANDSTONE = true
SMOOTH_RED_SANDSTONE = true
CUT_RED_SANDSTONE = true
CHISELED_RED_SANDSTONE = true
CRIMSON_STEM = true
WARPED_STEM = true
TNT = true
BAMBOO_BLOCK = true
STRIPPED_BAMBOO_BLOCK = true
STRIPPED_CRIMSON_STEM = true
CRIMSON_PLANKS = true
STRIPPED_WARPED_STEM = true
WARPED_PLANKS = true
MOSSY_COBBLESTONE = true
MOSSY_STONE_BRICKS = true
CRACKED_STONE_BRICKS = true
CHISELED_STONE_BRICKS = true
POLISHED_GRANITE = true
POLISHED_DIORITE = true
POLISHED_ANDESITE = true
CHISELED_DEEPSLATE = true
POLISHED_DEEPSLATE = true
DEEPSLATE_BRICKS = true
CRACKED_DEEPSLATE_BRICKS = true
DEEPSLATE_TILES = true
CRACKED_DEEPSLATE_TILES = true
PACKED_MUD = true
MUD_BRICKS = true
PRISMARINE = true
PRISMARINE_BRICKS = true
DARK_PRISMARINE = true
QUARTZ_BLOCK = true
CHISELED_QUARTZ_BLOCK = true
QUARTZ_BRICKS = true
QUARTZ_PILLAR = true
SMOOTH_QUARTZ_BLOCK = true
AMETHYST_BLOCK = true
WHITE_WOOL = true
LIGHT_GRAY_WOOL = true
GRAY_WOOL = true
BLACK_WOOL = true
BROWN_WOOL = true
RED_WOOL = true
ORANGE_WOOL = true
YELLOW_WOOL = true
LIME_WOOL = true
GREEN_WOOL = true
CYAN_WOOL = true
LIGHT_BLUE_WOOL = true
BLUE_WOOL = true
PURPLE_WOOL = true
MAGENTA_WOOL = true
PINK_WOOL = true
TERRACOTTA = true
WHITE_TERRACOTTA = true
LIGHT_GRAY_TERRACOTTA = true
GRAY_TERRACOTTA = true
BLACK_TERRACOTTA = true
BROWN_TERRACOTTA = true
RED_TERRACOTTA = true
ORANGE_TERRACOTTA = true
YELLOW_TERRACOTTA = true
LIME_TERRACOTTA = true
GREEN_TERRACOTTA = true
CYAN_TERRACOTTA = true
LIGHT_BLUE_TERRACOTTA = true
BLUE_TERRACOTTA = true
PURPLE_TERRACOTTA = true
MAGENTA_TERRACOTTA = true
PINK_TERRACOTTA = true
WHITE_GLAZED_TERRACOTTA = true
LIGHT_GRAY_GLAZED_TERRACOTTA = true
GRAY_GLAZED_TERRACOTTA = true
BLACK_GLAZED_TERRACOTTA = true
BROWN_GLAZED_TERRACOTTA = true
RED_GLAZED_TERRACOTTA = true
ORANGE_GLAZED_TERRACOTTA = true
YELLOW_GLAZED_TERRACOTTA = true
LIME_GLAZED_TERRACOTTA = true
GREEN_GLAZED_TERRACOTTA = true
CYAN_GLAZED_TERRACOTTA = true
LIGHT_BLUE_GLAZED_TERRACOTTA = true
BLUE_GLAZED_TERRACOTTA = true
PURPLE_GLAZED_TERRACOTTA = true
MAGENTA_GLAZED_TERRACOTTA = true
PINK_GLAZED_TERRACOTTA = true
WHITE_CONCRETE_POWDER = true
LIGHT_GRAY_CONCRETE_POWDER = true
GRAY_CONCRETE_POWDER = true
BLACK_CONCRETE_POWDER = true
BROWN_CONCRETE_POWDER = true
RED_CONCRETE_POWDER = true
ORANGE_CONCRETE_POWDER = true
YELLOW_CONCRETE_POWDER = true
LIME_CONCRETE_POWDER = true
GREEN_CONCRETE_POWDER = true
CYAN_CONCRETE_POWDER = true
LIGHT_BLUE_CONCRETE_POWDER = true
BLUE_CONCRETE_POWDER = true
PURPLE_CONCRETE_POWDER = true
MAGENTA_CONCRETE_POWDER = true
PINK_CONCRETE_POWDER = true
WHITE_CONCRETE = true
LIGHT_GRAY_CONCRETE = true
GRAY_CONCRETE = true
BLACK_CONCRETE = true
BROWN_CONCRETE = true
RED_CONCRETE = true
ORANGE_CONCRETE = true
YELLOW_CONCRETE = true
LIME_CONCRETE = true
GREEN_CONCRETE = true
CYAN_CONCRETE = true
LIGHT_BLUE_CONCRETE = true
BLUE_CONCRETE = true
PURPLE_CONCRETE = true
MAGENTA_CONCRETE = true
PINK_CONCRETE = true
GLASS = true
TINTED_GLASS = true
WHITE_STAINED_GLASS = true
LIGHT_GRAY_STAINED_GLASS = true
GRAY_STAINED_GLASS = true
BLACK_STAINED_GLASS = true
BROWN_STAINED_GLASS = true
RED_STAINED_GLASS = true
ORANGE_STAINED_GLASS = true
YELLOW_STAINED_GLASS = true
LIME_STAINED_GLASS = true
GREEN_STAINED_GLASS = true
CYAN_STAINED_GLASS = true
LIGHT_BLUE_STAINED_GLASS = true
BLUE_STAINED_GLASS = true
PURPLE_STAINED_GLASS = true
MAGENTA_STAINED_GLASS = true
PINK_STAINED_GLASS = true
ICE = true
PACKED_ICE = true
BLUE_ICE = true
SNOW_BLOCK = true
MOSS_BLOCK = true
CALCITE = true
DRIPSTONE_BLOCK = true
MAGMA_BLOCK = true
GLOWSTONE = true
DRIED_KELP_BLOCK = true
BROWN_MUSHROOM_BLOCK = true
RED_MUSHROOM_BLOCK = true
SHROOMLIGHT = true
MELON = true
PUMPKIN = true
HAY_BLOCK = true
OCHRE_FROGLIGHT = true
VERDANT_FROGLIGHT = true
PEARLESCENT_FROGLIGHT = true
SEA_LANTERN = true
#Enabled crates:
#Note: Apple can not be disabled as it is required for the creative inventory icon.
APPLE = true
GOLDEN_APPLE = true
SWEET_BERRIES = true
GLOW_BERRIES = true
CHORUS_FRUIT = true
CARROT = true
GOLDEN_CARROT = true
POTATO = true
BAKED_POTATO = true
POISONOUS_POTATO = true
BEETROOT = true
BEEF = true
COOKED_BEEF = true
PORKCHOP = true
COOKED_PORKCHOP = true
MUTTON = true
COOKED_MUTTON = true
CHICKEN = true
COOKED_CHICKEN = true
RABBIT = true
COOKED_RABBIT = true
COD = true
COOKED_COD = true
SALMON = true
COOKED_SALMON = true
TROPICAL_FISH = true
PUFFERFISH = true
BREAD = true
COOKIE = true
ROTTEN_FLESH = true
SPIDER_EYE = true
HONEY_BOTTLE = true
CHARCOAL = true
QUARTZ = true
AMETHYST_SHARD = true
STICK = true
FLINT = true
BONE = true
STRING = true
FEATHER = true
SNOWBALL = true
EGG = true
LEATHER = true
RABBIT_HIDE = true
HONEYCOMB = true
INK_SAC = true
GLOW_INK_SAC = true
TURTLE_SCUTE = true
CLAY_BALL = false
NAUTILUS_SHELL = true
FIRE_CHARGE = true
BLAZE_ROD = true
NETHER_STAR = true
ENDER_PEARL = true
ENDER_EYE = true
SHULKER_SHELL = true
WHITE_DYE = true
LIGHT_GRAY_DYE = true
GRAY_DYE = true
BLACK_DYE = true
BROWN_DYE = true
RED_DYE = true
ORANGE_DYE = true
YELLOW_DYE = true
LIME_DYE = true
GREEN_DYE = true
CYAN_DYE = true
LIGHT_BLUE_DYE = true
BLUE_DYE = true
PURPLE_DYE = true
MAGENTA_DYE = true
PINK_DYE = true
PAPER = true
BOOK = true
FIREWORK_STAR = true
GLASS_BOTTLE = true
GLOWSTONE_DUST = true
GUNPOWDER = true
DRAGON_BREATH = true
FERMENTED_SPIDER_EYE = true
BLAZE_POWDER = true
SUGAR = true
RABBIT_FOOT = true
GLISTERING_MELON_SLICE = true
MAGMA_CREAM = true
GHAST_TEAR = true
PHANTOM_MEMBRANE = true
EXPERIENCE_BOTTLE = true
END_CRYSTAL = true
ARROW = true
SPECTRAL_ARROW = true
NAME_TAG = true
LEAD = true
RAIL = true
POWERED_RAIL = true
DETECTOR_RAIL = true
ACTIVATOR_RAIL = true
REDSTONE_TORCH = true
REPEATER = true
COMPARATOR = true
LIGHTNING_ROD = true
TORCH = true
SOUL_TORCH = true
LANTERN = true
SOUL_LANTERN = true
CHAIN = true
END_ROD = true
ANVIL = true
CAMPFIRE = true
SOUL_CAMPFIRE = true
ITEM_FRAME = true
GLOW_ITEM_FRAME = true
PAINTING = true
POINTED_DRIPSTONE = true
OAK_SAPLING = true
SPRUCE_SAPLING = true
BIRCH_SAPLING = true
JUNGLE_SAPLING = true
ACACIA_SAPLING = true
DARK_OAK_SAPLING = true
CHERRY_SAPLING = true
MANGROVE_PROPAGULE = true
BROWN_MUSHROOM = true
RED_MUSHROOM = true
CRIMSON_FUNGUS = true
WARPED_FUNGUS = true
DANDELION = true
POPPY = true
BLUE_ORCHID = true
ALLIUM = true
AZURE_BLUET = true
RED_TULIP = true
ORANGE_TULIP = true
WHITE_TULIP = true
PINK_TULIP = true
OXEYE_DAISY = true
CORNFLOWER = true
LILY_OF_THE_VALLEY = true
SUGAR_CANE = true
WITHER_ROSE = true
SUNFLOWER = true
LILAC = true
ROSE_BUSH = true
PEONY = true
TURTLE_EGG = true
WHEAT_SEEDS = true
COCOA_BEANS = true
PUMPKIN_SEEDS = true
MELON_SEEDS = true
BEETROOT_SEEDS = true
SEAGRASS = true
KELP = true
COBWEB = true
WHITE_CARPET = true
LIGHT_GRAY_CARPET = true
GRAY_CARPET = true
BLACK_CARPET = true
BROWN_CARPET = true
RED_CARPET = true
ORANGE_CARPET = true
YELLOW_CARPET = true
LIME_CARPET = true
GREEN_CARPET = true
CYAN_CARPET = true
LIGHT_BLUE_CARPET = true
BLUE_CARPET = true
PURPLE_CARPET = true
MAGENTA_CARPET = true
PINK_CARPET = true
VINE = true
TWISTING_VINES = true
WEEPING_VINES = true
GLOW_LICHEN = true
SCULK_VEIN = true
